%           ----------------------------------------------
%           MSGAREA.CTL - sample message area control file
%           ----------------------------------------------
%
%
%  This file contains all of the information about your system's message
%  areas.  Each message area can be given a name.  This name consists
%  of letters, numbers, and any of the following characters:
%
%       . / _ ~ ! @ # $ % ^ & * ( ) - + = |
%
%  Message area names can be up to nine numbers or letters long.  If you
%  wish, you can use numbers for area names, such that you'd have
%  area names like "1", "2", "3" and so forth.  However, it's usually
%  easier to give each area a short name which is easily remembered.
%
%
% 
%  WARNING!  If you happen to "renumber" the area numbers within this
%  file (such as by changing message area 2 to area 1, and then changing
%  area 3 to area 2, and so on), make sure to delete \MAX\MTAG.BBS and
%  \MAX\OLR\DATS\*.*.  This is only a concern when changing the
%  name/number of every area; those two files contain information about
%  tagged message areas and the QWK area pointers.  If you change many
%  area numbers without deleting these files, uploaded QWK messages and
%  message tagging information may be incorrect.
  
Area 1
        % By default, area 1 is used for storing log-off comments.  If
        % you wish to change the name or number of this area, then
        % you'll also have to adjust the "Comment Area" option in
        % SESSION.CTL.

        % This keyword defines the privilege level required to access
        % this area.  If the user's priv is not high enough, they
        % won't be able to get in to this area, and Max will pretend
        % that it doesn't even exist.

        MsgAccess       Twit

        % The Type keyword tells Maximus how to store this area on disk.
        % By default, the FidoNet-standard *.MSG format is used.  However,
        % Maximus 2.00 and above support a new format called Squish;
        % this format is faster, uses less disk space, and requires
        % less maintenance.  Maximus allows you to use a different
        % storage format for each area.  For example, it's possible
        % to store all of your local and echomail areas using the Squish
        % format, but to use *.MSG for your netmail area.

        Type            Squish
%       Type            *.MSG

        % The MsgInfo keyword gives a verbose description of the message
        % appear.  This will be shown to users who enter the area.  The
        % description must be less than 60 characters long.

        MsgInfo         Comments to SysOp

        % The next keyword signifies that this is a LOCAL area, meaning
        % that it exists on your system only.  If you're not a member
        % of FidoNet or any other network, this is probably the only
        % type of area you'll have.
        %
        % If you're using the *.MSG format, this must be a
        % SEPARATE DIRECTORY on your hard drive.  (SILT will automatically
        % create directories which do not exist.)
        %
        % If you're using the Squish format, this must be the
        % PATH and a FILENAME (no extension).  In other words, you must
        % specify a path and up to eight characters for the message file.
        %
        % No matter which type of area you choose, the path/name
        % must be unique for each area.  "Local" means that the area
        % is a local message area; for EchoMail or Matrix (NetMail)
        % areas, uncomment the appropriate keywords.

        Local           Msg\Comments
%       EchoMail        Msg\Private
%       Matrix          Msg\Private

        % The private/public status of messages can be controlled on
        % an area-by-area basis.  Maximus supports the following
        % keywords:
        %
        %       Private Only
        %       Public and Private
        %       Public Only
        %       Read-Only

        Private Only

        % Maximus supports many additional features, such as:
        % 
        % Anonymous OK 
        % 
        %   Users will be permitted to modify the 'From:' field when
        %   leaving messages in this area.
        % 
        High Bit Allowed
        % 
        %   Messages entered in this area can utilize IBM's "extended
        %   ASCII", or characters with the high bit set.  This option
        %   is normally not permitted in EchoMail areas.
        % 
        Use Realname
        % 
        %   If you're using the `Alias System' keyword in the session
        %   section of MAX.CTL, using this keyword will instruct Max
        %   to insert each user's REAL NAME into the message header.
        % 
        % MsgBarricade <file>
        % 
        %   This tells Maximus that the area is barricaded, and that
        %   access can be controlled by the user's name or by a
        %   password.  Please see MAX_REF.PRN for more information.
        % 
        % MsgMenuName <name>
        % 
        %   This tells Maximus to use an alternate message area menu
        %   name while the user is in this area.  This can be used to
        %   show certain options for one area only.
        % 
        % MsgOverride
        % 
        %   This option can be used to adjust the privilege level of
        %   a menu option for one message area only.  Please see
        %   MAX_REF.PRN for more information.
        % 
        % Renum Max <msgs>
        % Renum Days <days>
        % 
        %   These two options can be used to selectively purge
        %   messages from the message areas with an automated
        %   program.  Please see MAX_REF.PRN for more details.

        Renum Max      150

        % Maximus supports many more message area options, but
        % you'll have to consult MAX_REF.PRN for information on
        % implementing and using those keywords.
End Area

Area 2
        % This is a local message area which contains public messages.

        MsgAccess       Disgrace

        Type            Squish
        MsgInfo         Public Messages
        Local           Msg\Public

        Public Only

        % Keep up to 100 messages in this area

        Renum Max       100
        Renum Days      60
End Area

Area 3
        MsgAccess       Normal
        Type            Squish
        MsgInfo         Private Mail
        Local           Msg\Private
        Private Only
        Renum Max       100
        Renum Days      30
End Area

Area 4
        MsgAccess       Normal
        Type            Squish
        MsgInfo         The Soapbox (Anonymous Okay)
        Local           MSG\Soapbox
        Anonymous OK
        Renum Max       100
        Renum Days      90

End Area


Area 5
        MsgAccess       Normal
        Type            Squish
        MsgInfo         Help!
        Local           Msg\Help
        Public and Private
        Renum Max       100
        Renum Days      180
End Area

Area 6
        MsgAccess       Normal
        Type            Squish
        MsgInfo         Games & On-line Games
        Local           Msg\Games
        Public and Private
        Renum Max       100
        Renum Days      180
End Area

Area 7
%
        MsgAccess       Normal
%
        Type            SQUISH
        MsgInfo         FidoNet Echo: Bremerton Area Chatter
        MsgName         BREM.AIRE
        EchoMail        Msg\BREM
        Origin  0       The Higher Ground - Gig Harbor, WA
        Public Only
        Renum Max       300
End Area

Area 8
%
        MsgAccess       Normal
%
        Type            SQUISH
        MsgInfo         FidoNet Echo: PNW Chatter
        MsgName         PNW.Chatter
        EchoMail        Msg\PNW_Chat
        Origin  0       The Higher Ground - Gig Harbor, WA
        Public Only
        Renum Max       500
End Area

Area 9
%
        MsgAccess       Normal
%
        Type            SQUISH
        MsgInfo         FidoNet Echo: PS For Sale
        MsgName         PS_4Sale
        EchoMail        Msg\PS_4Sale
        Origin  0       The Higher Ground - Gig Harbor, WA
        Public Only
        Renum Max       600
End Area

%Area 10
%
%        MsgAccess       Normal
%
%        Type            Squish
%        MsgInfo         FidoNet Echo: Star Trek
%        MsgName         Trek
%        EchoMail        Msg\Trek
%        Origin  0       The Higher Ground - Gig Harbor, WA
%        Public Only
%        Renum Max       500
%End Area

Area 11
%
        MsgAccess       Normal
%
        Type            SQUISH
        MsgInfo         FidoNet Echo: Apple
        MsgName         Apple   
        EchoMail        Msg\Apple
        Origin  0       The Higher Ground - Gig Harbor, WA
        Public Only
        Renum Max       300
End Area


Area MAX
        % This defines an EchoMail area called "MUFFIN", which is the
        % Maximus support echo.  This echo will be stored in the
        % Squish message format.
%
        MsgAccess       Clerk
%
        Type            SQUISH
        MsgInfo         FidoNet Echo: MUFFIN (Maximus Tips'n'Tricks)
        MsgName         MUFFIN
        Msgoverride     Enter Sysop
%
        % "EchoMail" signifies that this is an EchoMail area.  This means
        % that Maximus will add SEEN-BYs, PATHs and other control items
        % to messages that it creates.  If you've specified a "MsgName",
        % then that name will be written to ECHOTOSS.LOG when Max
        % terminates.
%
        EchoMail        Msg\Muffin
%
        % For EchoMail areas, you can also specify a custom origin line.
        %
        % Instead of using the default origin line, which is specified
        % in MAX.CTL (using the "Name" keyword), a custom origin line
        % may be used for each area.  The format of a custom origin is:
        %
        %       Origin <aka> [text]
        %
        % <aka> specifies the ZERO-BASED number of the address you wish
        % to insert at the end of the origin line, relative to the order
        % of your `Address' statements in MAX.CTL.  For example,
        % specifying an AKA of `0' uses the first address statement,
        % specifying `1' uses the SECOND address statement, etc.
        %
        % [text] is optional, and is simply the origin line you wish
        % to use for this area.  It may be up to 60 characters long,
        % and will get truncated if it is longer.  If you specify no
        % [text], or no origin statement altogether, then Maximus
        % will use the `System' line in MAX.CTL as the origin line
        % for this area.
%
        Origin  0      The Higher Ground - Gig Harbor, WA
%
        Public Only
        Renum Max       500
End Area
%
%
Area NET
        % This defines your primary NetMail area, accessible with an
        % area "number" of NET.  This area will be stored in the *.MSG
        % format, since most external programs require the *.MSG format
        % for NetMail.
%
        Type            *.MSG
        MsgAccess       Clerk
        MsgOverride     Enter Sysop
        MsgInfo         NetMail
%
        Matrix          Msg\Net
        Private Only
%
        % Note:  the "Renum Max" keyword applies only to MaxRen.  If
        % you're using a secondary renumbering utility, and that
        % utility does NOT support the "Renum Max" keyword in MSGAREA.CTL,
        % you may need to specify the maximum number of messages again
        % for other, external renumbering programs.

        Renum Max       100
End Area
